MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023589Community[OCCT] OCCT:Modeling Algorithmspublic2012-11-28 12:312013-04-29 15:21
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023589: Performance improvement in curve-curve intersection
DescriptionThe value of the last computed derivative is cached, similarly to parameters U,V and 3D points, in the instance of Extrema_FuncExtCC. This allows to reduce the number of computations by a factor of 2.

(Note: this is part of older fix210 pending integration)
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022400)
Roman Lygin (developer)
2012-11-28 12:40

Pushed branch CR23589 into the git repository
(0022485)
jgv (developer)
2012-11-30 15:49

No remarks
(0022545)
mkv (tester)
2012-12-04 16:52

Dear BugMaster,
Branch CR23589 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed
(0022817)
bugmaster (administrator)
2012-12-24 17:17

Fix has been integrated into occt repository:

authorRoman Lygin <roman.lygin@gmail.com>
 Wed, 28 Nov 2012 08:35:10 +0000 (12:35 +0400)
committerRoman Lygin <roman.lygin@gmail.com>
 Fri, 7 Dec 2012 08:20:39 +0000 (12:20 +0400)

CR23589: performance improvements in curve-curve intersection
src/Extrema/Extrema_FuncExtCC.cdl
src/Extrema/Extrema_FuncExtCC.gxx

- Issue History
Date Modified Username Field Change
2012-11-28 12:31 Roman Lygin New Issue
2012-11-28 12:31 Roman Lygin Assigned To => jgv
2012-11-28 12:40 Roman Lygin Note Added: 0022400
2012-11-28 12:40 Roman Lygin Status new => resolved
2012-11-29 00:27 Roman Lygin Target Version => 6.6.0
2012-11-30 15:49 jgv Note Added: 0022485
2012-11-30 15:49 jgv Status resolved => reviewed
2012-11-30 16:38 mkv Assigned To jgv => mkv
2012-12-04 16:52 mkv Note Added: 0022545
2012-12-04 16:52 mkv Test case number => Not needed
2012-12-04 16:52 mkv Assigned To mkv => bugmaster
2012-12-04 16:52 mkv Status reviewed => tested
2012-12-24 17:17 bugmaster Note Added: 0022817
2012-12-24 17:17 bugmaster Status tested => verified
2012-12-24 17:17 bugmaster Resolution open => fixed
2012-12-24 17:17 bugmaster Assigned To bugmaster => Roman Lygin
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker